import java.util.Map;
import java.util.HashMap;
import java.util.List;

public class EinfachesScheduling extends Scheduling
{
    public EinfachesScheduling(List<Auftrag> dieA)
    {
        super(dieA);
    }

    public Map<Auftrag,Anlage> getSchedule()
    {
        HashMap<Auftrag,Anlage> map = new HashMap<>();
        
        for(Auftrag a:getAuftraege())
        {
            if(getAnlage1().getGesamtZeit()<=getAnlage2().getGesamtZeit())
            {
                getAnlage1().bearbeite(a);
                map.put(a,getAnlage1());
            }
            else{
                getAnlage2().bearbeite(a);
                map.put(a,getAnlage2());
            }
        }
        
        return map;
        
    }
}
